%define module	POE-Component-IRC
%define name	perl-%{module}
%define version	5.18
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A fully event-driven IRC client module
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/POE/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:  perl(POE::Filter::IRCD)
BuildRequires:  perl(POE::Component::Client::DNS)
BuildRequires:  perl(POE::Component::Client::Ident)
BuildRequires:  perl(Date::Format)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
POE::Component::IRC is a POE (Perl Object Environment) component
which provides a convenient way for POE applications to create a tiny
IRC client session and send and receive IRC events through it. If that
first sentence was a bit too much, go read the POE documentation over
and over until it makes some sense.

%prep
%setup -q -n %{module}-%{version}
chmod 644 README Changes
find lib -name \*.pm | xargs chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes examples
%{perl_vendorlib}/POE
%_mandir/*/*


%changelog
* Sat Jan 06 2007 Olivier Thauvin <nanardon@mandriva.org> 5.18-1mdv2007.0
+ Revision: 104818
- 5.18

* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 5.16-1mdv2007.1
+ Revision: 94358
- 5.16
- 5.00

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org> 4.97-1mdv2007.0
+ Revision: 54036
- 4.97
- Import perl-POE-Component-IRC


* Sun Jul 09 2006 Emmanuel Andry <eandry@mandriva.org> 4.95-1mdv2007.0
- New version 4.95

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.93-1mdv2007.0
- New version 4.93

* Wed Jun 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.91-1mdv2007.0
- New release 4.91

* Mon May 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.90-1mdv2007.0
- New release 4.90

* Sun Apr 30 2006 Olivier Thauvin <nanardon@mandriva.org> 4.86-1mdk
- 4.86

* Sat Apr 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.85-1mdk
- New release 4.85
- better source URL
- better buildrequires syntax

* Sat Apr 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.81-1mdk
- New release 4.81

* Fri Mar 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.80-1mdk
- New release 4.80

* Wed Jan 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.79-1mdk
- New release 4.79

* Tue Dec 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 4.77-1mdk
- new version
- spec cleanup
- rpmbuildupdate aware
- drop explicit requires
- fix directory ownership

* Mon Dec 05 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.75-1mdk
- 4.75

* Wed Oct 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.74-1mdk
- 4.74

* Sun Oct 16 2005 Olivier Thauvin <nanardon@mandriva.org> 4.71-1mdk
- 4.71

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 4.70-2mdk
- Fix BuildRequires

* Mon Sep 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.70-1mdk
- 4.70
- Fix permissions

* Wed Sep 07 2005 Olivier Thauvin <nanardon@mandriva.org> 4.69-1mdk
- 4.69

* Fri Jun 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.62-1mdk
- 4.62

* Mon May 30 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.5-1mdk
- 4.5

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.4-1mdk
- 4.4

* Fri Apr 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.3-1mdk
- 4.3

* Mon Mar 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.8-1mdk
- 3.8

* Mon Mar 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.7-1mdk
- 3.7

* Fri Feb 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.5-1mdk
- 3.5

* Mon Feb 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.4-1mdk
- 3.4

* Wed Feb 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.3-1mdk
- 3.3
- spec cleanup

* Fri Dec 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.9-2mdk
- q(Birthday rebuild) && perl->new() and "COIN";
- remove MANIFEST file from %%doc

* Thu Aug 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.9-1mdk
- 2.9
- rebuild for perl 5.8.1

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7-2mdk
- rebuild for new auto{prov,req}

* Tue Feb 04 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.7-1mdk 
- first version of rpm.
